import { NgModule } from '@angular/core';
import { CommonModule } from '@angular/common';
import { SensorSettingPageRoutingModule } from 'app/pages/sensor-setting/sensor-setting-page-routing.module';
import { SensorSettingPageComponent } from 'app/pages/sensor-setting/sensor-setting-page.component';
import { SensorModule } from 'packages/sensor/sensor.module';
import { MaterialModule } from 'app/commons/ui/material/material.module';


import { FormsModule } from '@angular/forms';
import { SettingComponent as DiscoverySettingComponent } from 'packages/discovery/component/setting/setting.component';
import { DiscoveryModule } from 'packages/discovery/discovery.module';



@NgModule({
  imports: [
    CommonModule,
    MaterialModule,
    SensorSettingPageRoutingModule,
    SensorModule,
    FormsModule,
    DiscoveryModule
  ],
  entryComponents: [
    DiscoverySettingComponent
  ],
  declarations: [SensorSettingPageComponent]
})
export class SensorSettingPageModule { }
