import { Component, OnInit } from '@angular/core';

import {MatDialog} from '@angular/material';
import { SettingComponent as DiscoverySettingComponent } from 'packages/discovery/component/setting/setting.component';


@Component({
  selector: 'of-sensor-setting-page',
  templateUrl: './sensor-setting-page.component.html',
  styleUrls: ['./sensor-setting-page.component.scss']
})
export class SensorSettingPageComponent implements OnInit {

  constructor(public dialog: MatDialog) { }

  step = 1;

  ngOnInit() {

  }

  openDialog(): void {
    const dialogRef = this.dialog.open(DiscoverySettingComponent, {
      width: '850px',
      data: 'this text is dialog!!'
    });

    dialogRef.afterClosed().subscribe(result => {
      console.log('The dialog was closed');

    });
  }

  onNext() {
    this.step = 2;
    // this.router.navigate(['step2']);
  }

  onCloseCancel() {
    // this.dialogRef.close('Cancel');
    this.openDialog();
  }


}
